package com.jasamedika.medifirst2000.service;

import java.util.Map;

import org.springframework.data.jpa.domain.Specification;

import com.jasamedika.medifirst2000.entities.Disposisi;
import com.jasamedika.medifirst2000.vo.DisposisiVO;

public interface DisposisiService {
	
	Map<String, Object> addDisposisi(DisposisiVO vo);
	
	String getNoSurat();
	
	Map<String, Object> gridDisposisi(Integer page, Integer limit, String sort, String dir,Specification<Disposisi> spec);

	DisposisiVO findByNoRec(String noRec);
	
}
